Name:           telepathy-sofiasip
Version:        0.7.1
Release:        %mkrel 10
Summary:        A SIP protocol implementation for the Telepathy stack

Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            http://%{name}.sf.net
Source0:        https://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:         telepathy-sofiasip-0.7.1-mga-python3.patch

BuildRequires:  libxslt-proc
BuildRequires:  pkgconfig(sofia-sip-ua-glib)
BuildRequires:  pkgconfig(telepathy-glib)
BuildRequires:  python3
Requires:       telepathy-filesystem

%description
telepathy-sofiasip is a SIP-protocol connection manager (protocol plugin)
for the Telepathy (https://telepathy.freedesktop.org) framework based on
SofiaSIP-stack.

%files
%doc AUTHORS
%license COPYING
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/*.manager
%{_libexecdir}/%{name}
%{_mandir}/man*/*
%{_includedir}/telepathy-sofiasip-0.6/tpsip/*.h


%prep
%setup -q
2to3 --write --nobackups --no-diffs tools
%autopatch -p1

# make autoreconf more happy
sed -i -e 's,\(AM_INIT_AUTOMAKE.*\)\])$,\1 subdir-objects\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install



%changelog
* Fri May 01 2020 umeabot <umeabot> 0.7.1-10.mga8
+ Revision: 1577287
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.7.1-9.mga7
+ Revision: 1301380
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 wally <wally> 0.7.1-8.mga7
+ Revision: 1242814
- fix build on aarch64

* Mon Feb 08 2016 umeabot <umeabot> 0.7.1-7.mga6
+ Revision: 944050
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.1-6.mga5
+ Revision: 739904
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.1-5.mga5
+ Revision: 689820
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.1-4.mga4
+ Revision: 520933
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 luigiwalser <luigiwalser> 0.7.1-3.mga3
+ Revision: 387892
- fix for changed _libexecdir
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ colin <colin>
- imported package telepathy-sofiasip

